Subject: Re: [PATCH 1/3] test-ctype: test isascii

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Feb 2023 11:02:42 -0800

René Scharfe <[email-masked]> writes:

>> Yes, that does make sense but it is orthogonal to what sane_ctype
>> wants to address, I would think.
>
> Currently we can only use one or the other variant because our sane
> versions use the same names as the locale-aware ones.  Full overlap
> instead of orthogonality.

Ah, that is true but slightly complicated.  As long as the caller of
walks the string byte-by-byte and calls ispunct() in each iteration,
I do not think any "locale aware ispunct()" do much good to us.

Once callers are made locale aware, I am not sure they would still
want to call the isfoo() functions that have been know to be very
much byte-oriented.

Thanks.